STDBUF(1)

NAZWA
stdbuf - uruchamia polecenie ze zmodyfikowanymi operacjami buforowania jego standardowych strumieni

SKŁADNIA
stdbuf OPCJA... POLECENIE

OPIS

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-i, --input=TRYB
    dostosowuje buforowanie standardowego strumienia wejścia

-o, --output=TRYB
    dostosowuje buforowanie standardowego strumienia wyjścia

-e, --error=TRYB
    dostosowuje buforowanie standardowego strumienia błędów

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeżeli TRYBEM jest L, to dany strumień będzie buforowany wierszami. Opcji tej nie można użyć do standardowego wejścia.

Jeżeli TRYBEM jest 0, to dany strumień nie będzie buforowany.

Otherwise MODE is a number which may be followed by one of the following: KB 1000, K 1024, MB 1000*1000, M 1024*1024, and so on for G, T, P, E, Z, Y. Binary prefixes can be used, too: KiB=K, MiB=M, and so on. In this case the corresponding stream will be fully buffered with the buffer size set to MODE bytes.

UWAGA: Jeśli POLECENIE dostosowuje sposób buforowania swoich standardowych strumieni (robi to np. tee), to przesłoni ono odpowiednie zmiany dokonane przez stdbuf. Także niektóre filtry (np. dd i cat itd.) nie używają strumieni do wejścia/wyjścia i nie zostaną one wówczas zmienione przez ustawienia programu stdbuf.

PRZYKŁADY
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Polecenie natychmiast wyświetli unikatowe wpisy z pliku access.log

BŁĘDY
Na platformach GLIBC określenie rozmiaru bufora np. używanie trybu w pełni buforowanego, spowoduje wykonanie niezdefiniowanej operacji.

AUTOR
Napisane przez Padraiga Bradyego.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/stdbuf>
lub lokalnie, za pomocą info '(coreutils) stdbuf invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.